Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.cs	(revision 5037)
@@ -12,8 +12,13 @@
 namespace HeuristicLab.Hive.Server.LINQDataAccess
 {
-  using System;
-  using System.ComponentModel;
-  using System.Data.Linq;
-  using System.Data.Linq.Mapping;
+	using System.Data.Linq;
+	using System.Data.Linq.Mapping;
+	using System.Data;
+	using System.Collections.Generic;
+	using System.Reflection;
+	using System.Linq;
+	using System.Linq.Expressions;
+	using System.ComponentModel;
+	using System;
 	
 	
@@ -1969,5 +1974,5 @@
 		private System.Nullable<System.Guid> _ResourceId;
 		
-		private System.Nullable<System.TimeSpan> _ExecutionTime;
+		private string _ExecutionTime;
 		
 		private string _Exception;
@@ -2015,5 +2020,5 @@
     partial void OnResourceIdChanging(System.Nullable<System.Guid> value);
     partial void OnResourceIdChanged();
-    partial void OnExecutionTimeChanging(System.Nullable<System.TimeSpan> value);
+    partial void OnExecutionTimeChanging(string value);
     partial void OnExecutionTimeChanged();
     partial void OnExceptionChanging(string value);
@@ -2138,6 +2143,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ExecutionTime", DbType="Time")]
-		public System.Nullable<System.TimeSpan> ExecutionTime
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ExecutionTime", DbType="VarChar(30)")]
+		public string ExecutionTime
 		{
 			get
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml	(revision 5037)
@@ -95,5 +95,5 @@
       <Column Name="JobState" Type="System.String" DbType="VarChar(MAX)" CanBeNull="false" />
       <Column Name="ResourceId" Type="System.Guid" DbType="UniqueIdentifier" CanBeNull="true" />
-      <Column Name="ExecutionTime" Type="System.TimeSpan" DbType="Time" CanBeNull="true" />
+      <Column Name="ExecutionTime" Type="System.String" DbType="VarChar(30)" CanBeNull="true" />
       <Column Name="Exception" Type="System.String" DbType="VarChar(MAX)" CanBeNull="true" />
       <Column Name="SerializedJob" Type="System.Data.Linq.Binary" DbType="VarBinary(MAX)" CanBeNull="false" UpdateCheck="Never" IsDelayLoaded="true" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml.layout
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml.layout	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HiveDataContext.dbml.layout	(revision 5037)
@@ -87,5 +87,5 @@
       </nodes>
     </inheritanceConnector>
-    <inheritanceConnector edgePoints="[(13.265623 : 4.2612939453125); (13.265623 : 4.625); (16.375 : 4.625); (16.375 : 5)]" fixedFrom="NotFixed" fixedTo="NotFixed" TargetRelationshipDomainClassId="7a7fe09e-e9ef-4b01-9ff3-bde95e827b62">
+    <inheritanceConnector edgePoints="[(13.265623 : 4.2612939453125); (13.265623 : 4.625); (14.1354166666667 : 4.625 : JumpStart); (14.3020833333333 : 4.625 : JumpEnd); (16.375 : 4.625); (16.375 : 5)]" fixedFrom="NotFixed" fixedTo="NotFixed" TargetRelationshipDomainClassId="7a7fe09e-e9ef-4b01-9ff3-bde95e827b62">
       <nodes>
         <classShapeMoniker Id="706a4581-6daf-4e71-ae2a-87d50b27a051" />
@@ -100,5 +100,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(11.25 : 7.44314447265625); (11.6666666666667 : 7.44314447265625 : JumpStart); (11.8333333333333 : 7.44314447265625 : JumpEnd); (14.6406275 : 7.44314447265625); (14.6406275 : 8)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(11.25 : 7.44314447265625); (14.6406275 : 7.44314447265625); (14.6406275 : 8)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/HiveDataContext/Job/Job_AssignedResource" />
       <nodes>
@@ -114,5 +114,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(16.375 : 5.8093896484375); (16.375 : 13.0681469726563); (12.5520833333333 : 13.0681469726563 : JumpStart); (12.3854166666667 : 13.0681469726563 : JumpEnd); (11.625 : 13.0681469726563)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(16.375 : 5.8093896484375); (16.375 : 13.0681469726563); (11.625 : 13.0681469726563)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/HiveDataContext/SlaveGroup/SlaveGroup_SlaveGroup_Resource" />
       <nodes>
@@ -135,5 +135,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(11.25 : 6.19314697265625); (12 : 6.19314697265625)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+    <associationConnector edgePoints="[(11.25 : 6.19314697265625); (11.3854166666667 : 6.19314697265625 : JumpStart); (11.5520833333333 : 6.19314697265625 : JumpEnd); (11.6666666666667 : 6.19314697265625 : JumpStart); (11.8333333333333 : 6.19314697265625 : JumpEnd); (12 : 6.19314697265625)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/HiveDataContext/Job/Job_RequiredPlugin" />
       <nodes>
@@ -156,5 +156,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(8.40625 : 16.875); (8.40625 : 6.22195556640625); (9.25 : 6.22195556640625)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(8.40625 : 16.875); (8.40625 : 6.22195556640625); (9.25 : 6.22195556640625)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/HiveDataContext/Project/Project_Job" />
       <nodes>
@@ -177,5 +177,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(9.40625 : 8.0689111328125); (9.40625 : 11.8902498372396); (8.48958333333333 : 11.8902498372396 : JumpStart); (8.32291666666667 : 11.8902498372396 : JumpEnd); (8 : 11.8902498372396)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(9.40625 : 8.0689111328125); (9.40625 : 11.8902498372396); (8 : 11.8902498372396)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/HiveDataContext/Job/Job_HiveExperiment" />
       <nodes>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 5037)
@@ -250,5 +250,5 @@
       target.JobId = source.Id;
 
-      target.ExecutionTime = source.ExecutionTime;
+      target.ExecutionTime = source.ExecutionTime.ToString();
       target.Exception = source.Exception;
 
@@ -283,5 +283,7 @@
 
       target.Exception = source.Exception;
-      target.ExecutionTime = source.ExecutionTime.HasValue ? source.ExecutionTime.Value : TimeSpan.Zero;
+      TimeSpan ts;
+      if (!TimeSpan.TryParse(source.ExecutionTime, out ts)) ts = TimeSpan.Zero;
+      target.ExecutionTime = ts;
 
       target.Priority = source.Priority;
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 5037)
@@ -125,27 +125,4 @@
 
     /// <summary>
-    /// Methods for the Server Login
-    /// </summary>
-    //public void Login(SlaveDto slaveInfo) {
-    //  try {
-    //    using (Disposable<SlaveFacade.ISlaveFacade> service = ServiceLocator.Instance.SlaveFacadePool.GetService()) {
-    //      if (ConnState == NetworkEnum.WcfConnState.Connected) {
-    //        Logger.Debug("STARTED: Login Sync");
-    //        Response res = service.Obj.Login(slaveInfo);
-    //        if (res.StatusMessage != ResponseStatus.Ok) {
-    //          Logger.Error("FAILED: Login Failed! " + res.StatusMessage);
-    //          throw new Exception(res.StatusMessage.ToString());
-    //        } else {
-    //          Logger.Info("ENDED: Login succeeded" + res.StatusMessage);
-    //        }
-    //      }
-    //    }
-    //  }
-    //  catch (Exception e) {
-    //    OnExceptionOccured(e);
-    //  }
-    //}
-
-    /// <summary>
     /// Pull a Job from the Server
     /// </summary>
@@ -468,4 +445,17 @@
     }
 
+    public HivePluginFile GetConfigurationFile() {
+      try {
+        using (Disposable<SlaveFacade.ISlaveFacade> service = ServiceLocator.Instance.StreamedSlaveFacadePool.GetService()) {
+          var response = service.Obj.GetConfigurationFile();
+          return response.Obj;
+        }
+      }
+      catch (Exception e) {
+        OnExceptionOccured(e);
+        return null;
+      }
+    }
+
     public event EventHandler<EventArgs<Exception>> ExceptionOccured;
     private void OnExceptionOccured(Exception e) {
@@ -474,17 +464,4 @@
       if (handler != null) handler(this, new EventArgs<Exception>(e));
     }
-
-    public HivePluginFile GetConfigurationFile() {
-      try {
-        using (Disposable<SlaveFacade.ISlaveFacade> service = ServiceLocator.Instance.StreamedSlaveFacadePool.GetService()) {
-          var response = service.Obj.GetConfigurationFile();
-          return response.Obj;
-        }
-      }
-      catch (Exception e) {
-        OnExceptionOccured(e);
-        return null;
-      }
-    }
   }
 }
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogServiceReader.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogServiceReader.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/LogServiceReader.cs	(revision 5037)
@@ -35,5 +35,7 @@
         }
       }
-      catch { }
+      catch (Exception ex) {
+        OnMoreData(new List<string> { "Error fetching log: " + ex.ToString() });
+      }
     }
 
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/HeuristicLab.Hive.Slave.Core-3.3.csproj	(revision 5037)
@@ -113,5 +113,4 @@
     <Compile Include="SlaveConsoleService\SlaveConsoleServer.cs" />
     <Compile Include="SlaveConsoleService\Interfaces\ISlaveConsoleCommunicator.cs" />
-    <Compile Include="SlaveConsoleService\TransferObjects\ConnectionContainer.cs" />
     <Compile Include="SlaveConsoleService\TransferObjects\JobStatus.cs" />
     <Compile Include="SlaveConsoleService\TransferObjects\StatusCommons.cs" />
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/PluginCache.cs	(revision 5037)
@@ -125,5 +125,4 @@
         Logger.Debug("Fetching plugins for job");
         List<HivePluginInfoDto> localPlugins = new List<HivePluginInfoDto>();
-        List<HivePluginInfoDto> neededPlugins = new List<HivePluginInfoDto>();
         List<HivePluginInfoDto> missingPlugins = new List<HivePluginInfoDto>();
         bool found = false;
@@ -134,5 +133,4 @@
             if (info.Name == cachedPlugin.Name && info.Version == cachedPlugin.Version) {
               localPlugins.Add(new HivePluginInfoDto() { Id = new Guid(), Name = info.Name, Version = info.Version, Update = true });
-              neededPlugins.Add(info);
               found = true;
 
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs	(revision 5034)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/SlaveConsoleServer.cs	(revision 5037)
@@ -24,4 +24,5 @@
 using HeuristicLab.Hive.Slave.Core.SlaveConsoleService.Interfaces;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Core;
 
 namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/ConnectionContainer.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Core/3.3/SlaveConsoleService/TransferObjects/ConnectionContainer.cs	(revision 5034)
+++ 	(revision )
@@ -1,30 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Runtime.Serialization;
-
-namespace HeuristicLab.Hive.Slave.Core.SlaveConsoleService {
-  [DataContract]
-  public class ConnectionContainer {
-    [DataMember]
-    public string IPAdress { get; set; }
-  }
-}