Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.4/ServiceContracts/IHiveService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.4/ServiceContracts/IHiveService.cs	(revision 5053)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Common/3.4/ServiceContracts/IHiveService.cs	(revision 5062)
@@ -35,12 +35,6 @@
     JobData GetJobData(Guid jobId);
 
-    //[OperationContract]
-    //Stream GetJobDataStreamed(Guid jobId);
-
     [OperationContract]
     void UpdateJob(Job jobDto, JobData jobDataDto);
-        
-    //[OperationContract] // formerly StoreFinishedJobResultStreamed
-    //void UpdateJobDataStreamed(Stream stream);
 
     [OperationContract]
@@ -49,25 +43,4 @@
     [OperationContract] // new method: appropriate job is choosen and set to 'calculating'. the slave is responsible for requesting the jobData. Server should wait some timeout until he redistributes the job
     Job AquireJob(Guid slaveId);
-
-    //[OperationContract] // dump?
-    //Job GetJobByIdWithDetails(Guid jobId);
-
-    //[OperationContract] dump?
-    //Job AddNewJob(JobData job);
-
-    //[OperationContract]
-    //void RemoveJob(Guid jobId);
-
-    //[OperationContract] // GetJobForCalculation (was this used?
-    //Job GetJob(Guid slaveId);
-
-    //[OperationContract] --> replaced by UpdateJob
-    //void StoreFinishedJobResult(Guid slaveId, Guid jobId, byte[] result, TimeSpan executionTime, string exception);
-
-    //[OperationContract] dump this! a slave should just check if job is still offline, if so it can submit the finished job, otherwise throw away! its a rare case that a slave reawakes with a finished job
-    //void IsJobStillNeeded(Guid jobId);
-
-    //[OperationContract] // dump?
-    //Job AddJobWithGroupStrings(JobData jobObj, IEnumerable<string> groups);
     #endregion
 
@@ -77,5 +50,5 @@
 
     [OperationContract]
-    Job PauseJob(Guid jobId);
+    void PauseJob(Guid jobId);
     #endregion
 
@@ -101,19 +74,4 @@
 
     #region Login Methods
-    // rename "Login"-methods to "Register" or "SayHello", since its only purpose is to send Slave-Info (is Login() should not be used anymore)
-    /// <summary>
-    /// Method can be used to check if security credentials are valid, but it does not do anything
-    /// </summary>
-    /// <returns></returns>
-    //[OperationContract]
-    //void Login();
-    ///// <summary>
-    ///// This method registers the slave and marks it as online
-    ///// </summary>
-    //[OperationContract]
-    //void Login(Slave slave);
-    //[OperationContract]
-    //void Logout(Guid clientId);
-
     [OperationContract]
     void Hello(Guid slaveId, string name, int cores, int memory);
@@ -136,17 +94,5 @@
     IEnumerable<PluginData> GetPluginDatas(List<Guid> pluginIds);
     #endregion
-
-    // slave should be unaware of calendar. only server decides based on calendar if slave gets jobs
-    //#region Calendar Methods
-    //[OperationContract]
-    //IEnumerable<Appointment> GetCalendar(Guid slaveId);
-    //[OperationContract]
-    //void SetCalendarStatus(Guid clientId, CalendarState state);
-    //[OperationContract]
-    //IEnumerable<Appointment> GetUptimeCalendarForResource(Guid guid);
-    //[OperationContract]
-    //void SetUptimeCalendarForResource(Guid guid, IEnumerable<Appointment> appointments, bool isForced);
-    //#endregion
-
+    
     #region Slave Methods
     [OperationContract]
@@ -160,7 +106,7 @@
     
     [OperationContract]
-    //[ServiceKnownType(typeof(Resource))] - not sure about those
-    //[ServiceKnownType(typeof(Slave))]
-    //[ServiceKnownType(typeof(SlaveGroup))]
+    [ServiceKnownType(typeof(Resource))]
+    [ServiceKnownType(typeof(Slave))]
+    [ServiceKnownType(typeof(SlaveGroup))]
     IEnumerable<SlaveGroup> GetSlaveGroups();
 
@@ -169,7 +115,7 @@
 
     [OperationContract]
-    //[ServiceKnownType(typeof(Resource))]
-    //[ServiceKnownType(typeof(Slave))]
-    //[ServiceKnownType(typeof(SlaveGroup))]
+    [ServiceKnownType(typeof(Resource))]
+    [ServiceKnownType(typeof(Slave))]
+    [ServiceKnownType(typeof(SlaveGroup))]
     void AddResourceToGroup(Guid slaveGroupId, Resource resource);
 