Index: /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ClientService.svc
===================================================================
--- /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ClientService.svc	(revision 5066)
+++ /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ClientService.svc	(revision 5066)
@@ -0,0 +1,5 @@
+﻿<%@ ServiceHost 
+  Language="C#" 
+  Debug="true" 
+  Service="HeuristicLab.Hive.Server.Core.ClientFacade" 
+  %>
Index: /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ServerConsoleService.svc
===================================================================
--- /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ServerConsoleService.svc	(revision 5066)
+++ /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/ServerConsoleService.svc	(revision 5066)
@@ -0,0 +1,5 @@
+﻿<%@ ServiceHost 
+  Language="C#" 
+  Debug="true" 
+  Service="HeuristicLab.Hive.Server.Core.ServerConsoleFacade" 
+  %>
Index: /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/SlaveService.svc
===================================================================
--- /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/SlaveService.svc	(revision 5066)
+++ /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/SlaveService.svc	(revision 5066)
@@ -0,0 +1,5 @@
+﻿<%@ ServiceHost 
+  Language="C#" 
+  Debug="true" 
+  Service="HeuristicLab.Hive.Server.Core.SlaveFacade" 
+  %>
Index: /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/Web.config
===================================================================
--- /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/Web.config	(revision 5066)
+++ /branches/HeuristicLab.Hive-3.3/sources/HeuristicLab.Hive/HiveWeb/Hive-3.3/Web.config	(revision 5066)
@@ -0,0 +1,148 @@
+<?xml version="1.0"?>
+<configuration>
+  <configSections>
+    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Tracing.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
+    </sectionGroup>
+  </configSections>
+  
+  
+  <system.diagnostics>
+    <sources>
+      <source name="System.ServiceModel.MessageLogging" switchValue="Warning, ActivityTracing">
+        <listeners>
+          <add type="System.Diagnostics.DefaultTraceListener" name="Default">
+            <filter type="" />
+          </add>
+          <add name="ServiceModelMessageLoggingListener">
+            <filter type="" />
+          </add>
+        </listeners>
+      </source>
+      <source name="System.ServiceModel" switchValue="Information,ActivityTracing">
+        <listeners>
+          <add type="System.Diagnostics.DefaultTraceListener" name="Default">
+            <filter type="" />
+          </add>
+          <add name="ServiceModelTraceListener">
+            <filter type="" />
+          </add>
+        </listeners>
+      </source>
+    </sources>
+    <sharedListeners>
+      <add initializeData="c:\ch\stuff\log\web_messages.svclog"
+        type="System.Diagnostics.XmlWriterTraceListener, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
+        name="ServiceModelMessageLoggingListener" traceOutputOptions="DateTime, Timestamp">
+        <filter type="" />
+      </add>
+      <add initializeData="c:\ch\stuff\log\web_tracelog.svclog"
+        type="System.Diagnostics.XmlWriterTraceListener, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
+        name="ServiceModelTraceListener" traceOutputOptions="DateTime, Timestamp">
+        <filter type="" />
+      </add>
+    </sharedListeners>
+  </system.diagnostics>
+  
+  
+  <applicationSettings>
+    <HeuristicLab.Tracing.Properties.Settings>
+      <setting name="TracingLog4netConfigFile" serializeAs="String">
+        <value/>
+      </setting>
+    </HeuristicLab.Tracing.Properties.Settings>
+  </applicationSettings>
+  
+  <connectionStrings>
+    <add name="HeuristicLab.Authentication" connectionString="data source=localhost;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
+  </connectionStrings>
+  
+  <system.web>
+    <compilation debug="true" targetFramework="4.0">
+    </compilation>
+    <membership>
+      <providers>
+        <clear/>
+        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="HeuristicLab.Authentication"/>
+      </providers>
+    </membership>
+    <roleManager enabled="true">
+      <providers>
+        <clear/>
+        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication"/>
+      </providers>
+    </roleManager>
+    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
+  </system.web>
+  
+  <system.serviceModel>
+    <diagnostics>
+      <messageLogging logEntireMessage="true" logMalformedMessages="true" logMessagesAtServiceLevel="true" logMessagesAtTransportLevel="true" maxMessagesToLog="3000"/>
+    </diagnostics>
+    
+    <bindings>
+      <netTcpBinding>
+        <binding name="TcpStreamedBinding" sendTimeout="00:10:00" transferMode="Streamed" maxBufferPoolSize="104857600" maxBufferSize="104857600" maxReceivedMessageSize="104857600">
+          <readerQuotas maxStringContentLength="104857600" maxArrayLength="104857600"/>
+          <security mode="TransportWithMessageCredential">
+            <transport clientCredentialType="Certificate"/>
+            <message clientCredentialType="UserName"/>
+          </security>
+        </binding>
+      </netTcpBinding>
+      <wsHttpBinding>
+        <binding name="HiveServerHttpBinding" maxReceivedMessageSize="104857600">
+          <readerQuotas maxStringContentLength="104857600" maxArrayLength="104857600"/>
+          <security mode="Message">
+            <transport/>
+            <message clientCredentialType="UserName"/>
+          </security>
+        </binding>
+      </wsHttpBinding>
+    </bindings>
+    
+    <behaviors>
+      <serviceBehaviors>
+        <behavior name="ServiceBehaviour">
+          <serviceMetadata httpGetEnabled="false" httpsGetEnabled="false"/>
+          <serviceDebug includeExceptionDetailInFaults="true"/>
+          <serviceAuthorization principalPermissionMode="UseAspNetRoles" roleProviderName="AspNetSqlRoleProvider"/>
+          <serviceCredentials>
+            <serviceCertificate findValue="localhost" x509FindType="FindBySubjectName"/>
+            <userNameAuthentication userNamePasswordValidationMode="MembershipProvider" membershipProviderName="AspNetSqlMembershipProvider"/>
+          </serviceCredentials>
+          <serviceSecurityAudit auditLogLocation="Application" suppressAuditFailure="false" messageAuthenticationAuditLevel="SuccessOrFailure"/>
+          <serviceThrottling maxConcurrentCalls="100"/>
+        </behavior>
+      </serviceBehaviors>
+    </behaviors>
+    
+    <services>
+      <service behaviorConfiguration="ServiceBehaviour" name="HeuristicLab.Hive.Server.Core.SlaveFacade">
+        <endpoint address="" binding="wsHttpBinding" bindingConfiguration="HiveServerHttpBinding" name="SlaveHttpEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.ISlaveFacade"/>
+        <endpoint address="mex" binding="mexHttpBinding" name="SlaveMexEndpoint" contract="IMetadataExchange"/>
+        <endpoint address="" binding="netTcpBinding" bindingConfiguration="TcpStreamedBinding" name="SlaveTcpStreamedEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.ISlaveFacade" />
+        <endpoint address="mex" binding="mexTcpBinding" name="ClientNetTcpMexEndpoint" contract="IMetadataExchange"/>
+      </service>
+      <service behaviorConfiguration="ServiceBehaviour" name="HeuristicLab.Hive.Server.Core.ServerConsoleFacade">
+        <endpoint address="" binding="wsHttpBinding" bindingConfiguration="HiveServerHttpBinding" name="ServerConsoleHttpEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IServerConsoleFacade"/>
+        <endpoint address="mex" binding="mexHttpBinding" name="ServerConsoleMexEndpoint" contract="IMetadataExchange"/>
+      </service>
+      <service behaviorConfiguration="ServiceBehaviour" name="HeuristicLab.Hive.Server.Core.ClientFacade">
+        <endpoint address="" binding="wsHttpBinding" bindingConfiguration="HiveServerHttpBinding" name="ClientHttpEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade"/>
+        <endpoint address="mex" binding="mexHttpBinding" name="ClientHttpMexEndpoint" contract="IMetadataExchange"/>
+        <endpoint address="" binding="netTcpBinding" bindingConfiguration="TcpStreamedBinding" name="ClientTcpStreamedEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade" />
+        <endpoint address="mex" binding="mexTcpBinding" name="ClientNetTcpMexEndpoint" contract="IMetadataExchange"/>
+      </service>
+    </services>
+    
+  </system.serviceModel>
+  
+  <system.webServer>
+    <modules runAllManagedModulesForAllRequests="true">
+      <add name="HiveServerModule" type="HeuristicLab.Hive.Server.Core.IISModules.HiveServerModule"/>
+    </modules>
+    <directoryBrowse enabled="true"/>
+  </system.webServer>
+  
+</configuration>